<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="recipeName"
            type="java.lang.String" />

        <variable
            name="remainingTime"
            type="java.lang.String" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/appCompatImageView2"
            android:layout_width="@dimen/default_header_icon_size"
            android:layout_height="@dimen/default_header_icon_size"
            android:layout_marginTop="24dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/ic_timer" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/appCompatTextView12"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:text="@string/dialog_cooking_timer_title"
            android:textAlignment="center"
            android:textAppearance="@style/TextAppearance.MaterialComponents.Headline4"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/appCompatImageView2" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/textView15"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:text="@{@string/dialog_cooking_timer_recipe_name(recipeName)}"
            android:textAppearance="@style/TextAppearance.MaterialComponents.Headline6"
            app:layout_constraintEnd_toEndOf="@+id/appCompatTextView12"
            app:layout_constraintStart_toStartOf="@+id/appCompatTextView12"
            app:layout_constraintTop_toBottomOf="@+id/appCompatTextView12"
            tools:text="(Jeera rice)" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/textView5"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:text="@{remainingTime}"
            android:textAlignment="center"
            android:textAppearance="@style/TextAppearance.MaterialComponents.Headline2"
            android:textColor="@color/colorAccent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/textView15"
            tools:text="01:50" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/stop"
            style="@style/NymbleButton.Light"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:layout_marginBottom="24dp"
            android:text="@string/dialog_cooking_timer_stop_btn"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/textView16" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/textView16"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/dialog_cooking_timer_remaining_subtext"
            android:textAppearance="@style/TextAppearance.MaterialComponents.Headline6"
            android:textColor="@color/colorAccent"
            app:layout_constraintEnd_toEndOf="@+id/textView5"
            app:layout_constraintStart_toStartOf="@+id/textView5"
            app:layout_constraintTop_toBottomOf="@+id/textView5" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>